Subject: bug#19170: 25.0.50; enhancement request: `compare-windows' use across frames

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Nov 2014 02:37:03 +0200

> The main reason for the bug report, however, is the inability
> to choose the two windows, especially when they are in different
> frames.  Cycling via `other-window' is limited when you have
> multiple frames (each possibly with multiple windows).  It is
> even somewhat limited in the typical case of two windows in the
> same frame.

Ediff-windows is session-based, whereas compare-windows is stateless.
It would be a major inconvenience to select a window to compare
before every invocation of compare-windows.  Although I'm aware
of this problem in the single frame with three windows, at least
the rule of selecting a window is simple, so it's easy to arrange
windows in the previous-next order for comparison.